import stringArrayToSelectObject from './stringArrayToSelectObject'

export const controllerValues = stringArrayToSelectObject(['Full Controller Support', 'Partial Controller Support', 'No Controller Support'])

export const wineIntelValues = stringArrayToSelectObject(['Yes', 'No', 'Not Tested'])

export const playStatusValues = stringArrayToSelectObject(['Never Played', 'Up Next', 'Playing', 'Finished', 'Will Not Play'])

export const ratingValues = stringArrayToSelectObject(["0","0.5","1","1.5","2","2.5","3","3.5","4","4.5","5","5.5","6","6.5","7","7.5","8","8.5","9","9.5","10"])

export const ratingStateValues = [
    { label: '=', value: '[]' },
    { label: '<=', value: '[lte]' },
    { label: '>=', value: '[gte]' },
]

export const osValues = [
    {
        value: 'windows',
        label: 'Windows'
    },
    {
        value: 'mac',
        label: 'Mac OSX'
    },
    {
        value: 'linux',
        label: 'Linux'
    },
    {
        value: 'android',
        label: 'Android'
    },
    {
        value: 'ios',
        label: 'iOS'
    }
]

export const yesNo = stringArrayToSelectObject(['Yes', 'No'])